import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BackendServiceApi, Locale, Pager, Pagination } from './../models/index';
import { PaginationService } from '../services/pagination.service';
export declare class SlickPaginationComponent implements AfterViewInit, OnDestroy {
    private paginationService;
    private translate;
    private _isFirstRender;
    private _pager;
    private _totalItems;
    private subscriptions;
    onPaginationChanged: EventEmitter<Pagination>;
    enableTranslate: boolean;
    options: Pagination;
    dataView: any;
    locales: Locale;
    backendServiceApi: BackendServiceApi;
    totalItems: number;
    grid: any;
    textItemsPerPage: string;
    textItems: string;
    textOf: string;
    textPage: string;
    /** Constructor */
    constructor(paginationService: PaginationService, translate: TranslateService);
    readonly pager: Pager;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    changeToFirstPage(event: any): void;
    changeToLastPage(event: any): void;
    changeToNextPage(event: any): void;
    changeToPreviousPage(event: any): void;
    changeToCurrentPage(event: any): void;
    changeItemPerPage(event: any): void;
    dispose(): void;
    /** Translate all the texts shown in the UI, use ngx-translate service when available or custom locales when service is null */
    private translateAllUiTexts;
}
