import { CollectionCustomStructure, Column, ColumnEditor, Editor, EditorArguments, EditorValidator, EditorValidatorOutput } from './../models/index';
export declare class AutoCompleteEditor implements Editor {
    private args;
    private _currentValue;
    private _defaultTextValue;
    private _elementCollection;
    private _lastInputEvent;
    /** The JQuery DOM element */
    private _$editorElm;
    /** SlickGrid Grid object */
    grid: any;
    /** The property name for labels in the collection */
    labelName: string;
    /** The property name for values in the collection */
    valueName: string;
    forceUserInput: boolean;
    constructor(args: EditorArguments);
    /** Get the Collection */
    readonly editorCollection: any[];
    /** Get the Final Collection used in the AutoCompleted Source (this may vary from the "collection" especially when providing a customStructure) */
    readonly elementCollection: any[];
    /** Get Column Definition object */
    readonly columnDef: Column | undefined;
    /** Get Column Editor object */
    readonly columnEditor: ColumnEditor;
    /** Getter for the Custom Structure if exist */
    readonly customStructure: CollectionCustomStructure;
    readonly hasAutoCommitEdit: any;
    /** Get the Validator function, can be passed in Editor property or Column Definition */
    readonly validator: EditorValidator;
    readonly editorOptions: any;
    /** Get the Editor DOM Element */
    readonly editorDomElement: any;
    init(): void;
    destroy(): void;
    focus(): void;
    getValue(): any;
    setValue(value: string): void;
    applyValue(item: any, state: any): void;
    isValueChanged(): boolean;
    loadValue(item: any): void;
    save(): void;
    serializeValue(): any;
    validate(inputValue?: any): EditorValidatorOutput;
    onSelect(event: Event, ui: any): boolean;
    private renderDomElement;
}
