import { Column, ColumnEditor, Editor, EditorArguments, EditorValidator, EditorValidatorOutput } from './../models/index';
export declare class CheckboxEditor implements Editor {
    private args;
    private _$input;
    originalValue: boolean;
    /** SlickGrid Grid object */
    grid: any;
    constructor(args: EditorArguments);
    /** Get Column Definition object */
    readonly columnDef: Column | undefined;
    /** Get Column Editor object */
    readonly columnEditor: ColumnEditor;
    /** Get the Editor DOM Element */
    readonly editorDomElement: any;
    readonly hasAutoCommitEdit: any;
    /** Get the Validator function, can be passed in Editor property or Column Definition */
    readonly validator: EditorValidator;
    init(): void;
    destroy(): void;
    focus(): void;
    getValue(): any;
    setValue(val: boolean | string): void;
    applyValue(item: any, state: any): void;
    isValueChanged(): boolean;
    loadValue(item: any): void;
    save(): void;
    serializeValue(): boolean;
    validate(inputValue?: any): EditorValidatorOutput;
}
