import { Column, ColumnEditor, Editor, EditorArguments, EditorValidator, EditorValidatorOutput, GridOption } from './../models/index';
export declare class DateEditor implements Editor {
    private args;
    private _$inputWithData;
    private _$input;
    /** The translate library */
    private _translate;
    flatInstance: any;
    defaultDate: string;
    originalDate: string;
    /** SlickGrid Grid object */
    grid: any;
    /** Grid options */
    gridOptions: GridOption;
    constructor(args: EditorArguments);
    /** Get Column Definition object */
    readonly columnDef: Column | undefined;
    /** Get Column Editor object */
    readonly columnEditor: ColumnEditor;
    /** Get the Editor DOM Element */
    readonly editorDomElement: any;
    /** Get Flatpickr options passed to the editor by the user */
    readonly editorOptions: any;
    readonly hasAutoCommitEdit: any;
    /** Get the Validator function, can be passed in Editor property or Column Definition */
    readonly validator: EditorValidator;
    init(): void;
    destroy(): void;
    focus(): void;
    hide(): void;
    show(): void;
    getValue(): string;
    setValue(val: string): void;
    applyValue(item: any, state: any): void;
    isValueChanged(): boolean;
    loadValue(item: any): void;
    save(): void;
    serializeValue(): string;
    validate(inputValue?: any): EditorValidatorOutput;
    /** Load a different set of locales for Flatpickr to be localized */
    private loadFlatpickrLocale;
}
