import { Column, ColumnEditor, Editor, EditorArguments, EditorValidator, EditorValidatorOutput, GridOption, HtmlElementPosition } from './../models/index';
export declare class LongTextEditor implements Editor {
    private args;
    private _locales;
    private _$textarea;
    private _$wrapper;
    defaultValue: any;
    /** SlickGrid Grid object */
    grid: any;
    /** Grid options */
    gridOptions: GridOption;
    /** The translate library */
    private _translate;
    constructor(args: EditorArguments);
    /** Get Column Definition object */
    readonly columnDef: Column | undefined;
    /** Get Column Editor object */
    readonly columnEditor: ColumnEditor;
    /** Get the Editor DOM Element */
    readonly editorDomElement: any;
    readonly hasAutoCommitEdit: any;
    /** Get the Validator function, can be passed in Editor property or Column Definition */
    readonly validator: EditorValidator;
    init(): void;
    cancel(): void;
    hide(): void;
    show(): void;
    destroy(): void;
    focus(): void;
    getValue(): string;
    setValue(val: string): void;
    applyValue(item: any, state: any): void;
    isValueChanged(): boolean;
    loadValue(item: any): void;
    position(position: HtmlElementPosition): void;
    save(): void;
    serializeValue(): any;
    validate(inputValue?: any): EditorValidatorOutput;
    private handleKeyDown;
}
