import { Column, Editor, EditorArguments, EditorValidator, EditorValidatorOutput, ColumnEditor } from './../models/index';
export declare class SliderEditor implements Editor {
    private args;
    private _elementRangeInputId;
    private _elementRangeOutputId;
    private _$editorElm;
    private _$input;
    $sliderNumber: any;
    defaultValue: any;
    originalValue: any;
    /** SlickGrid Grid object */
    grid: any;
    constructor(args: EditorArguments);
    /** Get Column Definition object */
    readonly columnDef: Column | undefined;
    /** Get Column Editor object */
    readonly columnEditor: ColumnEditor;
    /** Get the Editor DOM Element */
    readonly editorDomElement: any;
    readonly hasAutoCommitEdit: any;
    /** Getter for the Editor Generic Params */
    private readonly editorParams;
    /** Get the Validator function, can be passed in Editor property or Column Definition */
    readonly validator: EditorValidator;
    init(): void;
    cancel(): void;
    destroy(): void;
    focus(): void;
    getValue(): string;
    setValue(value: number | string): void;
    applyValue(item: any, state: any): void;
    isValueChanged(): boolean;
    loadValue(item: any): void;
    save(): void;
    serializeValue(): any;
    validate(inputValue?: any): EditorValidatorOutput;
    /**
     * Create the HTML template as a string
     */
    private buildTemplateHtmlString;
}
