export interface Locale {
    /** Text "All Selected" displayed in the Multiple Select Editor/Filter */
    TEXT_ALL_SELECTED: string;
    /** Text "Cancel" shown in the Long Text Editor dialog */
    TEXT_CANCEL: string;
    /** Text "Clear All Filters" shown in Header Menu */
    TEXT_CLEAR_ALL_FILTERS: string;
    /** Text "Clear All Sorting" shown in Header Menu */
    TEXT_CLEAR_ALL_SORTING: string;
    /** Text "Columns" title displayed in the Column Picker & Grid Menu (when enabled) */
    TEXT_COLUMNS: string;
    /** Text "Commands" title displayed in the Column Picker & Grid Menu (when enabled) */
    TEXT_COMMANDS: string;
    /** Text "Contains" shown in Compound Editors/Filters as an Operator */
    TEXT_CONTAINS: string;
    /** Text "Starts With" shown in Compound Editors/Filters as an Operator */
    TEXT_ENDS_WITH: string;
    /** Text "Equals" shown in Compound Editors/Filters as an Operator */
    TEXT_EQUALS: string;
    /** Text "Export in CSV Format" shown in Grid Menu (when enabled) */
    TEXT_EXPORT_IN_CSV_FORMAT: string;
    /** Text "Export in Text Format" shown in Grid Menu (when enabled) */
    TEXT_EXPORT_IN_TEXT_FORMAT?: string;
    /** Text "Export to Excel" shown in Grid Menu (when enabled) */
    TEXT_EXPORT_TO_EXCEL: string;
    /** Text "Force fit Columns" displayed in the Column Picker & Grid Menu (when enabled) */
    TEXT_FORCE_FIT_COLUMNS: string;
    /** Text "Group by" shown in Export when using Grouping (when enabled) */
    TEXT_GROUP_BY: string;
    /** Text "Hide Column" shown in Header Menu */
    TEXT_HIDE_COLUMN: string;
    /** Text "items" displayed in the Pagination (when enabled) */
    TEXT_ITEMS?: string;
    /** Text "items per page" displayed in the Pagination (when enabled) */
    TEXT_ITEMS_PER_PAGE?: string;
    /** Text "of" displayed in the Pagination (when enabled) */
    TEXT_OF?: string;
    /** Text "OK" displayed in the Multiple Select Editor/Filter */
    TEXT_OK: string;
    /** Text "Page" displayed in the Pagination (when enabled) */
    TEXT_PAGE?: string;
    /** Text "Refresh Dataset" displayed in the Grid Menu (when enabled) */
    TEXT_REFRESH_DATASET?: string;
    /** Text "Remove Filter" shown in Header Menu */
    TEXT_REMOVE_FILTER: string;
    /** Text "Remove Sort" shown in Header Menu */
    TEXT_REMOVE_SORT: string;
    /** Text "Cancel" shown in the Long Text Editor dialog */
    TEXT_SAVE: string;
    /** Text "Select All" displayed in the Multiple Select Editor/Filter */
    TEXT_SELECT_ALL: string;
    /** Text "Clear Sort Ascending" shown in Header Menu */
    TEXT_SORT_ASCENDING: string;
    /** Text "Clear Sort Descending" shown in Header Menu */
    TEXT_SORT_DESCENDING: string;
    /** Text "Starts With" shown in Compound Editors/Filters as an Operator */
    TEXT_STARTS_WITH: string;
    /** Text "Synchronous Resize" displayed in the Column Picker & Grid Menu (when enabled) */
    TEXT_SYNCHRONOUS_RESIZE?: string;
    /** Text "Toggle Filter Row" shown in Grid Menu (when enabled) */
    TEXT_TOGGLE_FILTER_ROW?: string;
    /** Text "Toggle Pre-Header Row" shown in Grid Menu (when enabled) */
    TEXT_TOGGLE_PRE_HEADER_ROW?: string;
    /** Text "3 of 10 selected" displayed in the Multiple Select Editor/Filter */
    TEXT_X_OF_Y_SELECTED: string;
}
