import { BackendServiceApi, EmitterType, GraphqlResult } from '../models';
/**
 * Execute the backend callback, which are mainly the "process" & "postProcess" methods.
 * Also note that "preProcess" was executed prior to this callback
 */
export declare function executeBackendCallback(backendServiceApi: BackendServiceApi, query: string, args: any, startTime: Date, totalItems: number, emitActionChangedCallback: (type: EmitterType) => void): Promise<void>;
/** Execute the Backend Processes Callback, that could come from an Observable or a Promise callback */
export declare function executeBackendProcessesCallback(startTime: Date, processResult: GraphqlResult | any, backendApi: BackendServiceApi, totalItems: number): GraphqlResult | any;
/** On a backend service api error, we will run the "onError" if there is 1 provided or just throw back the error when nothing is provided */
export declare function onBackendError(e: any, backendApi: BackendServiceApi): void;
