import { Subject } from 'rxjs';
import { BackendServiceApi, Pager, Pagination } from '../models';
import { FilterService } from './filter.service';
import { GridService } from './grid.service';
export declare class PaginationService {
    private filterService;
    private gridService;
    paginationOptions: Pagination;
    totalItems: number;
    private _initialized;
    private _backendServiceApi;
    private _dataFrom;
    private _dataTo;
    private _itemsPerPage;
    private _pageCount;
    private _pageNumber;
    private _totalItems;
    private _availablePageSizes;
    private _eventHandler;
    private _paginationOptions;
    private _subscriptions;
    onPaginationRefreshed: Subject<boolean>;
    onPaginationChanged: Subject<Pager>;
    dataView: any;
    grid: any;
    /** Constructor */
    constructor(filterService: FilterService, gridService: GridService);
    readonly pager: Pager;
    init(grid: any, dataView: any, paginationOptions: Pagination, backendServiceApi: BackendServiceApi): void;
    dispose(): void;
    getCurrentPageNumber(): number;
    getCurrentItemPerPageCount(): number;
    changeItemPerPage(itemsPerPage: number, event?: any): Promise<any>;
    goToFirstPage(event?: any): Promise<any>;
    goToLastPage(event?: any): Promise<any>;
    goToNextPage(event?: any): Promise<any>;
    goToPageNumber(pageNumber: number, event?: any): Promise<any>;
    goToPreviousPage(event?: any): Promise<any>;
    refreshPagination(isPageNumberReset?: boolean): void;
    processOnPageChanged(pageNumber: number, event?: Event | undefined): Promise<any>;
    recalculateFromToIndexes(): void;
    /**
     * When item is added or removed, we will refresh the numbers on the pagination however we won't trigger a backend change
     * This will have a side effect though, which is that the "To" count won't be matching the "items per page" count,
     * that is a necessary side effect to avoid triggering a backend query just to refresh the paging,
     * basically we assume that this offset is fine for the time being,
     * until user does an action which will refresh the data hence the pagination which will then become normal again
     */
    private processOnItemAddedOrRemoved;
}
